# reportTestGroup

abstract fun reportTestGroup(name: String): GroupTestEventReporter

Create a child group test event reporter. This can be used, for example, to emit events for a tested class, or a parameterized test method (but not the individual parameterized tests).

Since this is a group, it can have children. To add a 'test' node, use reportTest.

#### Return

the nested test event reporter

#### Since

8.12

#### Parameters

name

the name of the composite, which will also be used as the display name